Subject: Re: [PATCH v2 1/4] doc: add some missing technical documents

From: Ramsay Jones <[email-masked]>
Date: Wed, 8 Oct 2025 23:01:18 +0100

On 08/10/2025 8:00 pm, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
>> This builds on our existing linting rule and would catch any discrepancy
>> in man pages that we have in "Documentation/technical/" that isn't
>> listed in Meson.
> 
> Yeah, I remember the existing check helping me spot potential issues
> in a series or two.
> 
>> But regardless of that, the above check surfaces one more missing
>> article:
>>
>>     $ make lint-docs-meson
>>         GEN doc.dep
>>     make: *** Deleting file 'doc.dep'
>>     tmp-meson-diff/meson.adoc tmp-meson-diff/actual.adoc differ: byte 3877, line 206
>>     Meson man pages differ from actual man pages:
>>     --- tmp-meson-diff/meson.adoc	2025-10-08 08:42:49.864991169 +0200
>>     +++ tmp-meson-diff/actual.adoc	2025-10-08 08:42:50.072988794 +0200
>>     @@ -203,6 +203,7 @@
>>      git-worktree.adoc
>>      git-write-tree.adoc
>>      hash-function-transition.adoc
>>     +large-object-promisors.adoc
>>      long-running-process-protocol.adoc
>>      multi-pack-index.adoc
>>      packfile-uri.adoc
>>     make: *** [Makefile:526: lint-docs-meson] Error 1
> 
> Good.  I'll expect Ramsay will handle this one in v3?

OK, will do.

Since patch #1 is already in 'next', do I effectively create a new
patch series out of patches #2->#4, plus this new patch?

ATB,
Ramsay Jones